

attribute vec4 position;
attribute vec4 color;
attribute vec2 texcoords;

varying vec4 vertColor;
varying vec2 vertTexcoords; 


uniform mat4 matWorldViewProj;
 

void main()
{
    gl_Position = matWorldViewProj * position;


    vertColor = color;
	vertTexcoords = texcoords;
}
