//
//

attribute vec4 position;
attribute vec4 color;
attribute vec2 texcoords;

varying vec4 vertColor;
varying vec2 vertTexcoords; 

//uniform mat4 matWorldViewProj;
uniform mat4 matWorldView;
uniform mat4 matProjection;



void main()
{
	vec4 posView = matWorldView * position;
	//gl_Position = matWorldViewProj * position;
	gl_Position = matProjection * posView;

    vertColor = color;
	vertTexcoords = texcoords;
}
